# 开发环境配置
server:
    # 服务器的HTTP端口，默认为8080
    port: 8080
    servlet:
        # 应用的访问路径
        context-path: /
    tomcat:
        # tomcat的URI编码
        uri-encoding: UTF-8

# POS机查询数据分页e
pagehelper:
    helper-dialect: mysql

# 域名 路径前缀动态配置
yijia:
    # 域名： 测试：mp.huijy.net  生产：www.huijy.net
    domainName: mp.huijy.net
    # 路径前缀 test：测试； api：生产一线；prod：生产二线； demo：演示；
    path:
        global-prefix: demo


# POS机登录解密密文密码
3des:
    pwd: LAnZ8RRSkIY0EGVYheu2IjEk

# swagger2
swagger2:
    swagger-ui-open: true

# swagger2 UI登录密码
#security:
#    basic:
#        enabled: true
#        path: /swagger-ui.html
#    user:
#        name: admin
#        password: Admin@123#


# Spring配置
spring:
    datasource:
#        url: jdbc:mysql://47.105.116.204:3306/jiaduoduo_db_prod?useUnicode=true&characterEncoding=utf8&nullCatalogMeansCurrent=true&serverTimezone=GMT%2b8&useSSL=true
        url: jdbc:mysql://115.28.211.17:3306/jiaduoduo_db_demo?useUnicode=true&characterEncoding=utf8&nullCatalogMeansCurrent=true&serverTimezone=GMT%2b8&useSSL=true
        username: develop
        password: 1234.Abcd
        driver-class-name: com.mysql.cj.jdbc.Driver
    #格式化时间
    jackson:
        time-zone: GMT+8
        date-format: yyyy-MM-dd HH:mm:ss
        locale: zh_CN
    # redis 配置
    redis:
        # 地址
        host: localhost
        # 端口，默认为6379
        port: 6379
        # 密码
        password:
        # 连接超时时间
        timeout: 10s
        pool:
        # 连接池中的最小空闲连接
        min-idle: 0
        # 连接池中的最大空闲连接
        max-idle: 8
        # 连接池的最大数据库连接数
        max-active: 8
        # #连接池最大阻塞等待时间（使用负值表示没有限制）
        max-wait: -1ms

# MyBatis配置
mybatis:
    # 搜索指定包别名
    typeAliasesPackage: com.platform.yijia.dao
    # 配置mapper的扫描，找到所有的mapper.xml映射文件
    mapperLocations: classpath:mapper/*Mapper.xml
    # 加载全局的配置文件
    configLocation: classpath:mybatis/mybatis-config.xml
